Bug 173597 - multimedia/libva-intel-driver : update to 1.0.19
multimedia/libva-intel-driver : update to 1.0.19
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 07:40 UTC by manuel.creach
Modified: 2012-11-15 13:07 UTC (History)
0 users

See Also:


Attachments
file.diff (1.08 KB, patch)
2012-11-13 07:40 UTC, manuel.creach
no flags Details | Diff
intel.diff (4.94 KB, patch)
2012-11-15 08:09 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description manuel.creach 2012-11-13 07:40:00 UTC
update libva-intel-driver from version 1.0.18 to 1.0.19

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-11-13 07:40:11 UTC
Class Changed
From-To: update->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2012-11-14 09:09:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-11-15 08:09:56 UTC
Hi,

The port submission only contained changes to the port Makefile.

Also the distinfo and patches needed modifications to get the update 
going. Please always include the full diff when updating a port.

files/patch-drm_state_upstream is not needed anymore since it is already 
included also.

I'm attaching a revised patch with the missing piece. Can you approve it?

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 manuel.creach 2012-11-15 10:51:51 UTC
Hi,

I approve your patch.

I'll remember to send full patch the next time.

Thank you.

Manuel

On 15 Nov, 2012,at 09:09 AM, Guido Falsi <madpilot@FreeBSD.org> wrote:

> Hi,
>
> The port submission only contained changes to the port Makefile.
>
> Also the distinfo and patches needed modifications to get the update
> going. Please always include the full diff when updating a port.
>
> files/patch-drm_state_upstream is not needed anymore since it is already
> included also.
>
> I'm attaching a revised patch with the missing piece. Can you approve it?
>
> Thanks.
>
> -- 
> Guido Falsi <madpilot@FreeBSD.org>
> Index: Makefile
> ===================================================================
> --- Makefile (revision 307406)
> +++ Makefile (working copy)
> @@ -2,7 +2,7 @@
> # $FreeBSD$
>
> PORTNAME= libva-intel-driver
> -PORTVERSION= 1.0.18
> +PORTVERSION= 1.0.19
> CATEGORIES= multimedia
> MASTER_SITES= http://www.freedesktop.org/software/vaapi/releases/${PORTNAME}/
>
> @@ -18,8 +18,10 @@
> USE_GMAKE= yes
> USE_BZIP2= yes
> USE_GL= gl
> +USE_AUTOTOOLS= aclocal autoheader automake autoconf libtoolize
> +ACLOCAL_ARGS= -I.
> +AUTOMAKE_ARGS= --add-missing
> USE_LDCONFIG= yes
> -GNU_CONFIGURE= yes
>
> CPPFLAGS+= -isystem${LOCALBASE}/include
> LDFLAGS+= -L${LOCALBASE}/lib
> @@ -32,9 +34,9 @@
> .endif
>
> post-patch: .SILENT
> - ${REINPLACE_CMD} -e '/LIBS/{ s/-ldl//; \
> - s/-lrt//; s/-lpthread/${PTHREAD_LIBS}/; }' \
> - -e 's|driverdir|& --define-variable prefix=${PREFIX}|' \
> - ${WRKSRC}/configure
> + ${REINPLACE_CMD} -e 's/-ldl//' \
> + ${WRKSRC}/src/Makefile.am
> + ${REINPLACE_CMD} -e 's|driverdir|& --define-variable prefix=${PREFIX}|' \
> + ${WRKSRC}/configure.ac
>
> .include <bsd.port.mk>
> Index: distinfo
> ===================================================================
> --- distinfo (revision 307406)
> +++ distinfo (working copy)
> @@ -1,2 +1,2 @@
> -SHA256 (libva-intel-driver-1.0.18.tar.bz2) = 789fa2d6e22b9028ce12a89981eb33e57b04301431415149acfb61a49d3a63ee
> -SIZE (libva-intel-driver-1.0.18.tar.bz2) = 581497
> +SHA256 (libva-intel-driver-1.0.19.tar.bz2) = 2db68da9f4cea9b726ce2cd7c6246d902085310d83609082e453aa01559ea792
> +SIZE (libva-intel-driver-1.0.19.tar.bz2) = 448951
> Index: files/patch-drm_state_upstream
> ===================================================================
> --- files/patch-drm_state_upstream (revision 307406)
> +++ files/patch-drm_state_upstream (working copy)
> @@ -1,68 +0,0 @@
> -From 73ccb0c88d53298befa6a896d2bb39a041169b36 Mon Sep 17 00:00:00 2001
> -From: Gwenole Beauchesne <gwenole.beauchesne@intel.com>
> -Date: Fri, 06 Apr 2012 15:24:36 +0000
> -Subject: dri: cope with drm_state changes.
> -
> -Signed-off-by: Gwenole Beauchesne <gwenole.beauchesne@intel.com>
> ----
> -diff --git a/src/i965_drv_video.c b/src/i965_drv_video.c
> -index 3bea253..20fed99 100644
> ---- src/i965_drv_video.c
> -+++ src/i965_drv_video.c
> -@@ -2380,7 +2380,7 @@ i965_PutSurface(VADriverContextP ctx,
> - unsigned int flags) /* de-interlacing flags */
> - {
> - struct i965_driver_data *i965 = i965_driver_data(ctx);
> -- struct dri_state *dri_state = (struct dri_state *)ctx->dri_state;
> -+ struct dri_state *dri_state = (struct dri_state *)ctx->drm_state;
> - struct i965_render_state *render_state = &i965->render_state;
> - struct dri_drawable *dri_drawable;
> - union dri_buffer *buffer;
> -@@ -2393,7 +2393,7 @@ i965_PutSurface(VADriverContextP ctx,
> - int pp_flag = 0;
> -
> - /* Currently don't support DRI1 */
> -- if (dri_state->driConnectedFlag != VA_DRI2)
> -+ if (dri_state->base.auth_type != VA_DRM_AUTH_DRI2)
> - return VA_STATUS_ERROR_UNKNOWN;
> -
> - /* Some broken sources such as H.264 conformance case FM2_SVA_C
> -diff --git a/src/intel_driver.c b/src/intel_driver.c
> -index 4e6df81..b34d9a1 100644
> ---- src/intel_driver.c
> -+++ src/intel_driver.c
> -@@ -29,7 +29,7 @@
> -
> - #include <assert.h>
> -
> --#include <va/va_dricommon.h>
> -+#include <va/va_drmcommon.h>
> -
> - #include "intel_batchbuffer.h"
> - #include "intel_memman.h"
> -@@ -50,15 +50,17 @@ Bool
> - intel_driver_init(VADriverContextP ctx)
> - {
> - struct intel_driver_data *intel = intel_driver_data(ctx);
> -- struct dri_state *dri_state = (struct dri_state *)ctx->dri_state;
> -+ struct drm_state * const drm_state = (struct drm_state *)ctx->drm_state;
> - int has_exec2, has_bsd, has_blt;
> -
> -- assert(dri_state);
> -- assert(dri_state->driConnectedFlag == VA_DRI2 ||
> -- dri_state->driConnectedFlag == VA_DRI1);
> -+ assert(drm_state);
> -+ assert(drm_state->auth_type == VA_DRM_AUTH_DRI1 ||
> -+ drm_state->auth_type == VA_DRM_AUTH_DRI2 ||
> -+ drm_state->auth_type == VA_DRM_AUTH_CUSTOM);
> -
> -- intel->fd = dri_state->fd;
> -- intel->dri2Enabled = (dri_state->driConnectedFlag == VA_DRI2);
> -+ intel->fd = drm_state->fd;
> -+ intel->dri2Enabled = (drm_state->auth_type == VA_DRM_AUTH_DRI2 ||
> -+ drm_state->auth_type == VA_DRM_AUTH_CUSTOM);
> -
> - if (!intel->dri2Enabled) {
> - return False;
> ---
> -cgit v0.9.0.2-2-gbebe
> Index: files/patch-src-i965_decoder_utils.c
> ===================================================================
> --- files/patch-src-i965_decoder_utils.c (revision 307406)
> +++ files/patch-src-i965_decoder_utils.c (working copy)
> @@ -1,9 +1,9 @@
> ---- src/i965_decoder_utils.c.orig 2012-08-14 17:08:16.000000000 +0200
> -+++ src/i965_decoder_utils.c 2012-10-10 17:25:22.358503055 +0200
> -@@ -24,7 +24,11 @@
> - #include <assert.h>
> - #include <stddef.h>
> - #include <string.h>
> +--- src/i965_decoder_utils.c.orig 2012-11-09 02:44:47.000000000 +0100
> ++++ src/i965_decoder_utils.c 2012-11-14 10:45:13.909019239 +0100
> +@@ -22,7 +22,11 @@
> + */
> +
> + #include "sysdeps.h"
> +#ifdef __FreeBSD__
> +#include <stdlib.h>
> +#else
Comment 5 Guido Falsi freebsd_committer 2012-11-15 13:07:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!